PivotTableParameters

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.java
Class PivotTableParameters

    java.lang.Object
      org.openswing.swing.pivottable.java.PivotTableParameters

All Implemented Interfaces:
  java.io.Serializable

public class PivotTableParameters
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Pivot table parameters, used by PivotTableEngine.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`PivotTableParameters()`

Method Summary
`java.util.ArrayList` | `getColumnFields()`
`java.util.ArrayList` | `getDataFields()`
`InputFilter` | `getInputFilter()`
`java.util.ArrayList` | `getRowFields()`
`void` | `setInputFilter(InputFilter inputFilter)` Set the optional row filter, used to skip rows from original data model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PivotTableParameters

    public PivotTableParameters()

Method Detail

### getColumnFields

    public final java.util.ArrayList getColumnFields()

  Returns:
    list of ColumnField objects, related to column fields in Pivot Table

### getDataFields

    public final java.util.ArrayList getDataFields()

  Returns:
    list of DataField objects, related to data fields in Pivot Table

### getRowFields

    public final java.util.ArrayList getRowFields()

  Returns:
    list of RowField objects, related to row fields in Pivot Table

### getInputFilter

    public final InputFilter getInputFilter()

  Returns:
    optional row filter, used to skip rows from original data model

### setInputFilter

    public final void setInputFilter(InputFilter inputFilter)

  Set the optional row filter, used to skip rows from original data model.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD